Google Groups no longer supports new Usenet posts or subscriptions. Historical content remains viewable.
Dismiss

[gentoo-dev] [PATCH v2 1/5] autotools.eclass: egrep -> grep -E

4 views
Skip to first unread message

Sam James

unread,
May 14, 2022, 9:10:03 PM5/14/22
to
Signed-off-by: Sam James <s...@gentoo.org>
---
eclass/autotools.eclass | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/eclass/autotools.eclass b/eclass/autotools.eclass
index b8eeb55fd8f2..d6c5b7f0ec0d 100644
--- a/eclass/autotools.eclass
+++ b/eclass/autotools.eclass
@@ -283,7 +283,7 @@ _at_uses_pkg() {
for macro ; do
args+=( -e "^[[:space:]]*${macro}\>" )
done
- egrep -q "${args[@]}" configure.??
+ grep -E -q "${args[@]}" configure.??
fi
}
_at_uses_autoheader() { _at_uses_pkg A{C,M}_CONFIG_HEADER{S,}; }
--
2.35.1

Sam James

unread,
May 14, 2022, 9:20:02 PM5/14/22
to
Signed-off-by: Sam James <s...@gentoo.org>
---
eclass/qmail.eclass | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/eclass/qmail.eclass b/eclass/qmail.eclass
index 471f2fe7ce5e..707cc91adfd8 100644
--- a/eclass/qmail.eclass
+++ b/eclass/qmail.eclass
@@ -452,7 +452,7 @@ qmail_tcprules_config() {
line="${ip}${tcpstring}"
for proto in smtp qmtp qmqp; do
f="${EROOT}${TCPRULES_DIR}/tcp.qmail-${proto}"
- egrep -qs "${line}" "${f}" || echo "${line}" >> "${f}"
+ grep -E -qs "${line}" "${f}" || echo "${line}" >> "${f}"
done
done
}
--
2.35.1

Sam James

unread,
May 14, 2022, 9:20:02 PM5/14/22
to
Signed-off-by: Sam James <s...@gentoo.org>
---
eclass/ruby-ng.eclass | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/eclass/ruby-ng.eclass b/eclass/ruby-ng.eclass
index 70cb5be74b87..f0d6c4f6f6c4 100644
--- a/eclass/ruby-ng.eclass
+++ b/eclass/ruby-ng.eclass
@@ -604,7 +604,7 @@ _each_ruby_check_install() {
# that's what changes between two implementations (otherwise you'd get false
# positives now that Ruby 1.9.2 installs with the same sitedir as 1.8)
${scancmd} -qnR "${D}${sitelibdir}" "${D}${sitelibdir/site_ruby/gems}" \
- | fgrep -v "${libruby_soname}" \
+ | grep -F -v "${libruby_soname}" \
| grep -E -v "${RUBY_QA_ALLOWED_LIBS}" \
> "${T}"/ruby-ng-${_ruby_implementation}-mislink.log

--
2.35.1

Rolf Eike Beer

unread,
May 15, 2022, 11:20:03 AM5/15/22
to
NACK, but for the simple reason that this doesn't need the extended syntax
at all. Just drop it and use plain grep here.

Eike
signature.asc

Michał Górny

unread,
May 15, 2022, 1:00:02 PM5/15/22
to
Does it use a regex at all? Maybe 'grep -F' would be more appropriate.

--
Best regards,
Michał Górny
0 new messages